Page MenuHomePhabricator

False failures from merge-wmgerrit-patches when there are no patches created
Closed, ResolvedPublic

Description

wikimedia-portals
/home/betawiki/config/bin/merge-wmgerrit-patches 'wikimedia/portals'

                                                                                              
  [Symfony\Component\Process\Exception\ProcessFailedException]                                
  The command "/home/betawiki/config/bin/merge-wmgerrit-patches 'wikimedia/portals'" failed.  
  Exit Code: 1(General error)                                                                 
  Working directory: /resources/nike                                                          
  Output:                                                                                     
  ================                                                                            
  Error Output:                                                                               
  ================

Lack of patches is not an error.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2018, 9:20 AM
Nikerabbit moved this task from Backlog to Translate twn on the User-Nikerabbit board.

Change 472956 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] merge-wmgerrit-patches: Fix false failures

https://gerrit.wikimedia.org/r/472956

Change 472956 merged by jenkins-bot:
[translatewiki@master] merge-wmgerrit-patches: Fix false failures

https://gerrit.wikimedia.org/r/472956

Pginer-WMF triaged this task as Medium priority.Nov 13 2018, 8:18 AM
Nikerabbit closed this task as Resolved.Nov 15 2018, 7:27 AM

Works as expected. Now it is easier to see the real errors.